Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete Skill Version

client.Skills.Versions.Delete(ctx, skillID, version) (*DeletedSkillVersion, error)
DELETE
/skills/{skill_id}/versions/{version}

Delete a skill version.

Parameters
skillID string
version string

The skill version number.

Returns
type DeletedSkillVersion struct{…}
ID string
Deleted bool
Object SkillVersionDeleted
Version string

The deleted skill version.

Delete Skill Version

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  deletedSkillVersion, err := client.Skills.Versions.Delete(
    context.TODO(),
    "skill_123",
    "version",
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", deletedSkillVersion.ID)
}
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "skill.version.deleted",
  "version": "version"
}
Returns Examples
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "skill.version.deleted",
  "version": "version"
}